com.h3c.util.net.msg

## Class SendOnlyConversation

- java.lang.Object
- - com.h3c.util.net.msg.Conversation
  - - com.h3c.util.net.msg.SendOnlyConversation

-     public class SendOnlyConversation
      extends Conversation

  Conversation suitable for sending messages only. It's `acceptMessage` method is empty.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SendOnlyConversation.Provider` Provider and tracker of generic send-only conversations.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendOnlyConversation(String topic, int id, int parentId)` Creates a conversation capable of sending messages.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptMessage(byte[] message)` Accept a byte form of a message in the context of a given conversation.

    - ### Methods inherited from class com.h3c.util.net.msg.Conversation

      `connection, equals, hashCode, id, isEnded, parentId, setConnection, topic`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SendOnlyConversation

          public SendOnlyConversation(String topic,
                              int id,
                              int parentId)

      Creates a conversation capable of sending messages. Any messages directed to it will be ignored.
      Parameters:
        `topic` - conversation topic
        `id` - unique conversation id
        `parentId` - unique conversation id of the parent conversation; 0 if no parent conversation

  - ### Method Detail

    - #### acceptMessage

          public void acceptMessage(byte[] message)

      Description copied from class: `Conversation`
      Accept a byte form of a message in the context of a given conversation.
      Specified by:
        `acceptMessage` in class `Conversation`
      Parameters:
        `message` - byte buffer containing the raw message

Copyright © 2014. All Rights Reserved.